Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359085 - [RFE] Granular control of what is synced by ISS/Federation
Summary: [RFE] Granular control of what is synced by ISS/Federation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 09:16 UTC by Daniele
Modified: 2018-09-06 21:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:15:03 UTC


Attachments (Terms of Use)

Comment 1 Andrea Perotti 2016-09-26 11:42:36 UTC
1. Proposed title of this feature request  
     [RFE] Granular control of what is synced by ISS/Federation 
      
      
3. What is the nature and description of the request?  
      According to:
https://access.redhat.com/articles/1475583

there is now the federation on satellite.
"Federation: Satellite 6.2 lets you synchronize and export content from one Satellite to another. This feature is especially useful for organizations that require their systems management solution to run disconnected from the internet for security purposes. Also known as Inter-Satellite-Sync."

Our desiderata:
* do syncronization of contents (content views, puppet class, ...)
* avoid syncronization of users
* avoid "core" configurations (

The best would be to have any modification approved by one admin in the federated satellite.

    4. Why does the customer need this? (List the business requirements here)  
      Not having enough control on what is synced and what isn't, can cause configuration to be lost and security issues.

    5. How would the customer like to achieve this? (List the functional requirements here)  
      Control over what is synced through the GUI.

    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      Non that I have found.

    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
      Possibly next release (6.3) max.

    9. Is the sales team involved in this request and do they have any additional input?  
      Not in this particular one, but this is part of a list of requests with high customer impact.

    10. List any affected packages or components.  
      ISS/Federation

    11. Would the customer be able to assist in testing this functionality if implemented?  
      Definitely

Comment 4 Bryan Kearney 2018-09-04 19:02:12 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Bryan Kearney 2018-09-04 19:15:03 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.